---
id: 69b278519ef46b2fd8bf1546
title: Step 3
challengeType: 1
dashedName: step-3
---

# --description--

You already have a `middlePoint` value. Use it to split the array into two halves and keep the left portion ready for sorting.

Use the slice syntax to extract the left half of `array` and assign it to a variable named `leftPart`.

# --hints--

You should declare a `leftPart` variable inside the `mergeSort` function.

```js
assert.match(
  __helpers.removeJSComments(mergeSort.toString()),
  /(let|const|var)\s+leftPart\s*=/
);
```

You should assign `array.slice(0, middlePoint)` to `leftPart`.

```js
assert.match(
  __helpers.removeJSComments(mergeSort.toString()),
  /leftPart\s*=\s*array\.slice\(\s*0\s*,\s*middlePoint\s*\)\s*;?/
);
```

# --seed--

## --seed-contents--

```js
function mergeSort(array) {
  const middlePoint = Math.floor(array.length / 2);
--fcc-editable-region--
  
--fcc-editable-region--
}
```
